[versions]
app-version-code = "1"
app-version-name = "1.0.0"
agp = "8.13.0"
jdk = "21"
android-compileSdk = "36"
android-minSdk = "26"
android-targetSdk = "36"
androidx-activityCompose = "1.11.0"
androidx-compose = "1.9.4"
compose-plugin = "1.9.2"
kotlin = "2.2.21"
coreKtx = "1.17.0"
atrium = "1.2.0"

[libraries]
androidx-activity-compose = { module = "androidx.activity:activity-compose", version.ref = "androidx-activityCompose" }
androidx-core-ktx = { module = "androidx.core:core-ktx", version.ref = "coreKtx" }
androidx-tooling = { module = "androidx.compose.ui:ui-tooling", version.ref = "androidx-compose" }
androidx-tooling-preview = { module = "androidx.compose.ui:ui-tooling-preview", version.ref = "androidx-compose" }
androidx-compose-foundation = { module = "androidx.compose.foundation:foundation", version.ref = "androidx-compose" }
androidx-compose-ui-test-manifest = { module = "androidx.compose.ui:ui-test-manifest", version.ref = "androidx-compose" }
androidx-compose-ui-test-android = { module = "androidx.compose.ui:ui-test-junit4-android", version.ref = "androidx-compose" }

atrium = { module = "ch.tutteli.atrium:atrium-fluent", version.ref = "atrium" }

kotlin-test = { module = "org.jetbrains.kotlin:kotlin-test", version.ref = "kotlin" }

logging-jvm = { module = "io.github.oshai:kotlin-logging-jvm", version = "7.0.13" }
logging-slf4j = { module = "org.slf4j:slf4j-simple", version = "2.0.17" }

[bundles]
logging = ["logging-jvm", "logging-slf4j"]

[plugins]
versioning = { id = "me.qoomon.git-versioning", version = "6.4.4"}
versions = { id = "com.github.ben-manes.versions", version = "0.53.0" }
android-application = { id = "com.android.application", version.ref = "agp" }
android-library = { id = "com.android.library", version.ref = "agp" }
kotlin-multiplatform = { id = "org.jetbrains.kotlin.multiplatform", version.ref = "kotlin" }
kotlin-jvm = { id = "org.jetbrains.kotlin.jvm", version.ref = "kotlin" }
compose-compiler = { id = "org.jetbrains.kotlin.plugin.compose", version.ref = "kotlin" }
compose = { id = "org.jetbrains.compose", version.ref = "compose-plugin" }
kotlin-android = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }
sonarqube = { id = "org.sonarqube", version = "7.0.1.6134" }
kotlin-kover = { id = "org.jetbrains.kotlinx.kover", version = "0.9.3" }